Refund Payment
After an accepted/processed payment, you can use the Refund Payments API to refund the payment.
For more information, see Refunding Payment
Headers
Token token
The Location API key from the Punchh platform located under Store Locations > All Store Locations > [Choose your location] > POS tab > Location key
btoken
The API key for the business, located in the Punchh platform. Note: This can be obtained only from Punchh administrators (e.g., Customer Success Manager).
For assistance with any API keys, reach out to your Punchh Customer Success Manager (CSM) or Implementation Manager (if applicable).
- Type: stringAuthorization
Token token Location API key from the Punchh platform. btoken Business API key from the Punchh platform.
- Type: stringContent
-type Set to application/json
- Type: stringpayment
_reference _id requiredPayment reference identifier from the payment processor. This is obtained from the response of the Create Payment API.
- Type: stringpayment
_type requiredEnter one of the following values for the Punchh single scan flow payment:
- Credit Card = CreditCard
- Recurring = recurring See Single Scan Flow
- Type: stringtransaction
_no requiredUnique identifier for the transaction request. Regardless of success or failure, only one transaction number per request. This is NOT to be confused with the POS check number.
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/payments/refund \
--request POST \
--header 'Authorization: Token token="LOCATION_KEY_GOES_HERE" btoken="BUSINESS_KEY_GOES_HERE"' \
--header 'Content-type: application/json' \
--data '{
"payment_type": "CreditCard",
"payment_reference_id": "784733681950555245904",
"transaction_no": "3387553"
}'
{
"first_name": null,
"last_name": null,
"transaction_no": "3387553",
"payment_reference_id": "784733681950555245904",
"status": "refunded",
"response_message": "COMPLETED",
"payment_type": "CreditCard",
"created_at": "2021-02-01T20:58:10Z",
"updated_at": "2021-02-08T05:40:09Z",
"payment_transaction_id": "TRANSACTION_ID_GOES_HERE",
"card_type": "VIC"
}